import { MessageCenter } from "utils-lib-js";
export interface IQueue {
    defer: Function;
    name?: string;
}
export interface IQueues {
    children: Array<Function>;
    name: string;
    result?: any[];
}
export type IQueueTemp = {
    [key: string]: IQueues;
};
export type IQueueList = Array<IQueue>;
export type IState = "idle" | "pending" | "fulfilled" | "rejected";
export type ITaskQueueProps = {
    maxLen: number;
};
export declare class TaskQueue extends MessageCenter {
    readonly fix: string;
    readonly messageCenter: MessageCenter;
    props: ITaskQueueProps;
    queues: IQueueList;
    queueTemp: IQueueTemp;
    state: IState;
    constructor(props: ITaskQueueProps);
    private init;
    push: (queue: IQueues) => Promise<void>;
    unshift: (length: number) => IQueue[];
    run: ({ reject }: {
        reject: any;
    }) => Promise<IState | this>;
    clearQueue: () => void;
    private finish;
    private handlerSuccess;
    private handlerError;
    private stateProxy;
    private checkQueue;
    private fixStr;
}
export declare const decoratorTaskQueue: (opts: ITaskQueueProps) => ClassDecorator;
export default TaskQueue;
